<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       ugurozer.com
 * @since      1.0.0
 *
 * @package    cnk_mss_v5
 * @subpackage cnk_mss_v5/admin/partials
 */
?>
<?php  
	if( isset( $_GET[ 'tab' ] ) ) {  
		$active_tab = $_GET[ 'tab' ];  
	} else {
		$active_tab = 'tab_one';
	}
?> 
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
	
	<h1>WooCommerce - Mesafeli Satış Sözleşmesi</h1>

	<h2 class="nav-tab-wrapper">  
		<a href="?page=cnk_mss_options&tab=tab_one" class="nav-tab <?php echo $active_tab == 'tab_one' ? 'nav-tab-active' : ''; ?>">Açıklamalar</a>
		<a href="?page=cnk_mss_options&tab=tab_two" class="nav-tab <?php echo $active_tab == 'tab_two' ? 'nav-tab-active' : ''; ?>">ÖBF Ayarları</a>
		<a href="?page=cnk_mss_options&tab=tab_tree" class="nav-tab <?php echo $active_tab == 'tab_tree' ? 'nav-tab-active' : ''; ?>">MSS Ayarları</a>
		<a href="?page=cnk_mss_options&tab=tab_six" class="nav-tab <?php echo $active_tab == 'tab_six' ? 'nav-tab-active' : ''; ?>">Ek Ayarlar</a>
		<a href="?page=cnk_mss_options&tab=tab_four" class="nav-tab <?php echo $active_tab == 'tab_four' ? 'nav-tab-active' : ''; ?>">Kayıtlı Sözleşmeler</a>
		
	</h2>
	
	
	
	<?php if($active_tab == 'tab_one'): ?>
	
		<div class="description cnk_mss_aciklama">
			<h2>Mesafeli satış sözleşmesi eklentimizi kullandığınız için teşekkür ederiz.</h2>
			
			<p>Bu eklenti ile woocommerce sisteminize ön bilgilendirme formu ve mesafeli satış sözleşmesi desteği eklediniz. Mesafeli satış sözleşmesi ve ön bilgilendirme formlarının kullanım notlarını ilgili sekmelerde bulabilirsiniz.</p>

			<h4>Genel Özellikler</h4>
			<hr />
			<ul>
				<li>Mesafeli satış sözleşmesi ve ön bilgilendirme formu sayfaları için kısa kod desteği ile hızlıca kendi metinlerinizi şekillendirebilirsiniz,</li>
				<li>Eklenti, sipariş onayı ile birlikte geçerli olan mesafeli satış sözleşmesini database'e ve tarihsel bazlı klasörleme sistemi ile upload klasörüne PDF dökümanı olarak kaydederek iki taraflı kayıt sayesinde veri kaybı riskini azaltır,</li>
				<li>Eklenti, kayıtlı sözleşme metni ve PDF adresini admin ve müşteri tarafına gönderilen sipariş maillerine ekleyerek alıcı ve satıcıyı sözleşme konusunda bilgilendirir,</li>
				<li>Admin tercihine göre, kullanıcı kayıt işlemi sırasında telefon numarası ve TC kimlik numarası girebileceği ek alanlar oluşturur. Bu alanları yönetim panelinde "Kullanıcılar" sekmesine ekler.</li>
			</ul>
			
		</div>
		
		<hr  />
		
	<?php elseif($active_tab == 'tab_two'): ?>
		
		<h3>Ön Bilgilendirme Formu Ayarları</h3>
		<?php
		if (isset($_REQUEST['cnk_mss_ayarlar'])) {
			
			//Ön Bilgilendirme Formu
			isset($_REQUEST['cnk_mss_onbilgi_popup']) ? update_option('cnk_mss_onbilgi_popup', '1') : update_option('cnk_mss_onbilgi_popup', '');
			
		}
		
		//Ön Bilgilendirme Formu
		$cnk_mss_onbilgi_popup = get_option('cnk_mss_onbilgi_popup');
		
		?>
		
		<form action="" method="post">
			<table class="form-table">
				<tr>
					<th style="width:250px;"><label for="cnk_mss_onbilgi_popup">Ödeme sayfası, <strong>Ön Bilgilendirme Formu</strong> linki aynı sayfada açılsın.</label></th>
					<td ><input type="checkbox" name="cnk_mss_onbilgi_popup" id="cnk_mss_onbilgi_popup" value="1" <?php if($cnk_mss_onbilgi_popup == 1): ?>checked="checked"<?php endif; ?>></td>
				</tr>
			</table>

			<p class="submit">
				<input type="submit" name="cnk_mss_ayarlar" value="Kaydet" class="button-primary" />
			</p>
		</form>
		
		<hr  />
		
		<h3>Notlar</h3>
		<div class="description cnk_mss_aciklama">
			<p>Ön bilgilendirme formunuz <strong>Woocommerce > Ayarlar > Ödeme</strong> seçeneğinde <strong>Şartlar ve Koşullar</strong> sayfası olarak ayarladığınız sayfadır. Bu sayfa içeriğini aşağıdaki kodları kullanarak dinamik hale getirebilirsiniz.</p>		
		</div>
		
		<div class="description cnk_mss_sozlesme_metni">
			<h2>Ön Bilgilendirme Formu İçin Kullanılabilecek Kısa Kodlar</h2>
			<hr />
			<h3>Sepet Bilgisi</h3>
			<p><strong>Sepet İçeriği ve Toplamı :</strong> [sepet-tutar]</p>
			<p><strong>Sipariş Tarihi :</strong> [tarih]</p>
				
			<h3>NOT: Kullanıcı ile ilgili bilgiler sadece kullanıcı girişi yapımış ise çalışcaktır.</h3>
			<h3>Kullanıcı Bilgileri</h3>
			<p><strong>Kullanıcı Adı :</strong> [kullanici-adi]</p>
			<p><strong>T.C Kimlik No :</strong> [tc-no]</p>
			<p><strong>Telefon Numarası : </strong> [telefon-no]</p>
			<p><strong>E-posta Adresi : </strong> [e-posta-adresi]</p>
			
			<h3>Fatura Bilgileri</h3>
			<p><strong>Faturadaki İsim :</strong> [fatura-kullanici-adi]</p>
			<p><strong>Fatura Firma İsmi :</strong> [fatura-firma-adi]</p>
			<p><strong>Fatura Adresi :</strong> [fatura-adresi]</p>
			
			<h3>Kargo Bilgileri</h3>
			<p><strong>Kargo Teslim Alacak Kişi :</strong> [kargo-kullanici-adi]</p>
			<p><strong>Kargo Firma İsmi :</strong> [kargo-firma-adi]</p>
			<p><strong>Kargo Adresi :</strong> [kargo-adresi]</p>
		
		</div>
		
		
		
		
		
		<?php elseif($active_tab == 'tab_tree'): ?>
		<h3>Mesafeli Satış Sözleşmesi Ayarları</h3>
		
		<?php
			if (isset($_REQUEST['cnk_mss_ayarlar'])) {
				
				isset($_REQUEST['cnk_mss_content_page']) ? update_option('cnk_mss_content_page', $_REQUEST['cnk_mss_content_page']) : update_option('cnk_mss_content_page', '');
				
			}
		
			$cnk_mss_content_page = get_option('cnk_mss_content_page');
			
		?>
		
		<form action="" method="post">
			<table class="form-table">
				<tr>
					<th style="width:250px;"><label for="cnk_mss_onbilgi_page">Sözleme Metni Sayfası</label></th>
					<td >
						<select name="cnk_mss_content_page" id="cnk_mss_content_page">
						  <option value="">Seçiniz</option>
						  
							 <?php 
							  $pages = get_pages(); 
							  foreach ( $pages as $page ) {
								
								if($page->ID == $cnk_mss_content_page): 
									$selected = "selected";
								else : 
									$selected = ""; 
								endif;
								
								$option = '<option value="' . $page->ID . '" '. $selected .'  >';
								$option .= $page->post_title;
								$option .= '</option>';
								echo $option;
							  }
							 ?>
		
						</select>
						
						
					</td>
				</tr>
			</table>
			
			<p class="submit">
				<input type="submit" name="cnk_mss_ayarlar" value="Kaydet" class="button-primary" />
			</p>
		</form>
		
		
		
		<hr  />
		
		<h3>Notlar</h3>
		
		<div class="description cnk_mss_aciklama">
			<h4>Kullanım Notları</h4>
			<hr />
			<ul>
				<li>Kendi oluşturacağınız mesafeli satış sözleşmesi sayfanızı yukardaki ayarlar bölümünde seçin.</li>
				<li>Bu sayfa içeriğini aşağıdaki kodları kullanarak dinamik hale getirebilirsiniz.</li>
			</ul>
		</div>
		
		<div class="description cnk_mss_sozlesme_metni">
			<h2>Mesafeli Satış Sözleşmesi Sayfası Kodları</h2>
			<hr />
			<h3>Sipariş Bilgisi</h3>
			<p><strong>Sipariş İçeriği ve Toplamı :</strong><br /> [sepet-tutar]</p>
			<p><strong>Sipariş Tarihi :</strong> [tarih]</p>
			
			<h3>Kullanıcı Bilgileri</h3>
			<p><strong>Kullanıcı Adı :</strong> [kullanici-adi]</p>
			<p><strong>T.C Kimlik No :</strong> [tc-no]</p>
			<p><strong>Telefon Numarası : </strong> [telefon-no]</p>
			<p><strong>E-posta Adresi : </strong> [e-posta-adresi]</p>
			
			<h3>Fatura Bilgileri</h3>
			<p><strong>Faturadaki İsim :</strong> [fatura-kullanici-adi]</p>
			<p><strong>Fatura Firma İsmi :</strong> [fatura-firma-adi]</p>
			<p><strong>Fatura Adresi :</strong> [fatura-adresi]</p>
			
			<h3>Kargo Bilgileri</h3>
			<p><strong>Kargo Teslim Alacak Kişi :</strong> [kargo-kullanici-adi]</p>
			<p><strong>Kargo Firma İsmi :</strong> [kargo-firma-adi]</p>
			<p><strong>Kargo Adresi :</strong> [kargo-adresi]</p>
		
		</div>
		
		<hr />
		<?php elseif($active_tab == 'tab_four'): ?>
		
		<h3>Kayıtlı Mesafeli Satış Sözleşmeleri</h3>
		<div>
			
			<table class="cnk_mss_data_table">
			
				<thead>
					<tr>
						<th width="5%" style="text-align:center;">ID</th>
						<th width="5%" style="text-align:center;">Sipariş ID</th>
						<th width="15%">Sipariş Tarihi</th>
						<th width="35%">Kullanıcı Bilgileri</th>
						<th width="30%">Sözleşme Metni</th>
						<th width="30%">PDF URL</th>
						<th width="10%" style="text-align:center;">İşlemler</th>
					</tr>
				</thead>
				<tbody>
				
					<?php
						global $wpdb;
						$table_name = $wpdb->prefix . 'cnk_mss_content_bank';
						
						$query = "SELECT * FROM $table_name";
				
						$total_query = "SELECT COUNT(1) FROM (${query}) AS combined_table";
						$total = $wpdb->get_var( $total_query );
						$items_per_page = 15;
						$page = isset( $_GET['cpage'] ) ? abs( (int) $_GET['cpage'] ) : 1;
						$offset = ( $page * $items_per_page ) - $items_per_page;
						$orderlist = $wpdb->get_results( $query . " ORDER BY orderid DESC LIMIT ${offset}, ${items_per_page}" );
						
						
						foreach( $orderlist as $orderitem ) {
							// each column in your row will be accessible like this
															
							echo '<tr>';
								echo '<td style="text-align:center;">'. $orderitem->id .'</td>';
								echo '<td style="text-align:center;">'. $orderitem->orderid .'</td>';
								echo '<td>'. $orderitem->time .'</td>';
								echo '<td>'. $orderitem->user .'</td>';
								echo '<td><a href="?page=cnk_mss_options&tab=tab_four&cpage='.$page.'&cnk_mss_db_islem=bak&id='. $orderitem->id .'"> Sözleşme Metni İçin Tıklayın </a></td>';
								echo '<td><a href="'.$orderitem->pdf_url.'" target="_blank">PDF</a></td>';
								echo '<td style="text-align:center"><a href="?page=cnk_mss_options&tab=tab_four&cpage='.$page.'&cnk_mss_db_islem=sil&id='. $orderitem->id .'">Sil</a></td>';
							echo '</tr>';
						}
						
						echo '<div class="admin_pagination">';
							echo paginate_links( array(
								'base' => add_query_arg( 'cpage', '%#%' ),
								'format' => '',
								'prev_text' => __('&laquo;'),
								'next_text' => __('&raquo;'),
								'total' => ceil($total / $items_per_page),
								'current' => $page
							));
						echo '</div>';
						
						
						
					
					?>
				
				</tbody>
	
			</table>
			
		</div>
		
		<?php
			//Initializing variable
			$islem = "";
			$mss_id = "";
			
			$mss_id = isset($_GET["id"]) ? $_GET["id"] : '';
			$islem = isset($_GET["cnk_mss_db_islem"]) ? $_GET["cnk_mss_db_islem"] : '';
			
			if($islem == 'bak'):
	
				global $wpdb;
				$table_name = $wpdb->prefix . 'cnk_mss_content_bank';
			
				foreach( $wpdb->get_results("SELECT * FROM $table_name WHERE id = $mss_id") as $key => $row) {
						// each column in your row will be accessible like this
						echo '<div class="cnk_mss_sozlesme_metni">';
							echo '<h3>'. $row->time .' Tarihli ve '. $row->user .' İsimli Kullanıcıya Ait "Mesafeli Satış Sözleşmesi" Detayları</h3>';
							echo '<p><strong>Kullanıcı Kısa Bilgileri:</strong> '. $row->user .'</p>';
							echo '<h3>Sözleşme Metni</h3>';
							echo '<div>'. $row->text .'</div>';
						echo '</div>';
					}
			
			elseif($islem == 'sil'):
			
				global $wpdb;
				$table_name = $wpdb->prefix . 'cnk_mss_content_bank';
				$wpdb->query(
				  'DELETE  FROM '.$wpdb->prefix.'cnk_mss_content_bank
				   WHERE id = "'.$mss_id.'"'
				);
				
				
			endif;
		?>
		
	<?php elseif($active_tab == 'tab_six'): ?>
	
		<?php
			if (isset($_REQUEST['cnk_mss_ayarlar'])) {
				
				isset($_REQUEST['cnk_mss_customer_phone']) ? update_option('cnk_mss_customer_phone', '1') : update_option('cnk_mss_customer_phone', '');
				isset($_REQUEST['cnk_mss_customer_tc']) ? update_option('cnk_mss_customer_tc', '1') : update_option('cnk_mss_customer_tc', '');
				isset($_REQUEST['cnk_mss_customer_tc_require']) ? update_option('cnk_mss_customer_tc_require', '1') : update_option('cnk_mss_customer_tc_require', '');
				
			}
		
			$cnk_mss_customer_phone = get_option('cnk_mss_customer_phone');
			$cnk_mss_customer_tc = get_option('cnk_mss_customer_tc');
			$cnk_mss_customer_tc_require = get_option('cnk_mss_customer_tc_require');
			
			
		?>
		<h2>Ek Ayarlar</h2>
		<h4>Kullanıcılar Kayıt Olurken</h4>
		<form action="" method="post">
			<table class="form-table">
				<tr>
					<th style="width:250px;"><label for="cnk_mss_customer_phone">Telefon Numarası Eklesin</label></th>
					<td ><input type="checkbox" name="cnk_mss_customer_phone" id="cnk_mss_customer_phone" value="1" <?php if($cnk_mss_customer_phone == 1): ?>checked="checked"<?php endif; ?>></td>
				</tr>
				<tr>
					<th style="width:250px;"><label for="cnk_mss_customer_tc">TC Kimlik No Eklesin</label></th>
					<td ><input type="checkbox" name="cnk_mss_customer_tc" id="cnk_mss_customer_tc" value="1" <?php if($cnk_mss_customer_tc == 1): ?>checked="checked"<?php endif; ?>></td>
				</tr>
				<tr>
					<th style="width:250px;"><label for="cnk_mss_customer_tc_require">TC Kimlik No Zorunlu Olsun</label></th>
					<td ><input type="checkbox" name="cnk_mss_customer_tc_require" id="cnk_mss_customer_tc_require" value="1" <?php if($cnk_mss_customer_tc_require == 1): ?>checked="checked"<?php endif; ?>></td>
				</tr>
			</table>
			
			<p class="submit">
				<input type="submit" name="cnk_mss_ayarlar" value="Kaydet" class="button-primary" />
			</p>
		</form>
	
	<?php endif; ?>
	
	

	
	

</section>

</div>