<?php

/**
 * @link              ugurozer.com
 * @since             2.0.0
 * @package           Cnk_mss_v5
 *
 * @wordpress-plugin
 * Plugin Name:       Mesafeli Satış Sözleşmesi
 * Plugin URI:        
 * Description:       Woocommerce için mesafeli satış sözleşmesi ve ön bilgilendirme formu eklentisi.
 * Version:           4.0.0
 * Author:            Cenk Işıkgün & Uğur Özer
 * Author URI:        ugurozer.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       cnk_mss_v5
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define('CNK_ITEM_REFERENCE', 'Mesafeli Satış Sözleşmesi'); //Rename this constant name so it is specific to your plugin or theme.


/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-cnk_mss_v5-activator.php
 */
function activate_cnk_mss_v5() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-cnk_mss_v5-activator.php';
	cnk_mss_v5_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-cnk_mss_v5-deactivator.php
 */
function deactivate_cnk_mss_v5() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-cnk_mss_v5-deactivator.php';
	cnk_mss_v5_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_cnk_mss_v5' );
register_deactivation_hook( __FILE__, 'deactivate_cnk_mss_v5' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-cnk_mss_v5.php';

/**
 * @since    1.0.0
 */
function run_cnk_mss_v5() {

	$plugin = new cnk_mss_v5();
	$plugin->run();

}
run_cnk_mss_v5();
