<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       ugurozer.com
 * @since      1.0.0
 *
 * @package    cnk_mss_v5
 * @subpackage cnk_mss_v5/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    cnk_mss_v5
 * @subpackage cnk_mss_v5/includes
 * @author     Cenk Işıkgün <cenk.isikgun@gmail.com>
 */
class cnk_mss_v5_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'cnk_mss_v5',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
